#!/bin/sh

# Pre-loads a memcpy with "no regressions" to be used by a given program.
# https://bugzilla.redhat.com/show_bug.cgi?id=638477#c38
# Paulo Roma: 28/12/2010

# $1     - Name of the program to use the new memcpy
# $2 ... - Program arguments

params="$@"
PROG="$1"
# removes the first parameter from the list
ARGS=${params#"$PROG"}

LD_PRELOAD=/opt/memcpy/memcpy.so "$PROG" $ARGS &

